{
	"name": "table/external/4d/manager/product/work_order_material.json",
	"table_name": "work_order_material",
	"table_prefix": "wom",
	"table_number": 58,
	"table_name_local": "product_material",
	"record_type_local": "order",
	"field": [
	{
		"type": "varchar",
		"length": 90,
		"field_number": 10,
		"name": "change_id"
	},
	{
		"type": "varchar",
		"length": 40,
		"field_number": 11,
		"name": "creator_id"
	},
	{
		"type": "varchar",
		"length": 0,
		"field_number": 5,
		"name": "explanation"
	},
	{
		"type": "integer",
		"field_number": 15,
		"name": "firm_id"
	},
	{
		"type": "varchar",
		"length": 0,
		"field_number": 9,
		"name": "info"
	},
	{
		"type": "varchar",
		"length": 40,
		"field_number": 12,
		"name": "modifier_id"
	},
	{
		"type": "varchar",
		"length": 70,
		"field_number": 6,
		"name": "production_lot"
	},
	{
		"type": "varchar",
		"length": 80,
		"field_number": 17,
		"name": "project_id"
	},
	{
		"type": "double",
		"field_number": 4,
		"name": "quantity__unit"
	},
	{
		"field_number": 3,
		"nullable": true,
		"type": "varchar",
		"length": 88,
		"name": "raw_material_id",
		"foreign_key": {
			"field": "product_id",
			"table": "product"
		}
	},
	{
		"type": "varchar",
		"length": 510,
		"field_number": 13,
		"name": "record_id"
	},
	{
		"type": "integer",
		"field_number": 2,
		"name": "row_number"
	},
	{
		"type": "varchar",
		"length": 100,
		"field_number": 16,
		"name": "transfer_id"
	},
	{
		"type": "integer",
		"field_number": 14,
		"name": "transfer_state"
	},
	{
		"field_number": 1,
		"nullable": true,
		"type": "varchar",
		"length": 60,
		"name": "work__position_num_id",
		"foreign_key": {
			"field": "work__position_num_id",
			"table": "work"
		}
	},
	{
		"type": "double",
		"field_number": 8,
		"name": "work_need_amount"
	},
	{
		"type": "integer",
		"field_number": 7,
		"name": "work_phase"
	}
]
}
